Subject: Re: [Simple] Presence data model: <device-id> in <tuple>

From: Hisham Khartabil <[email-masked]>
Date: Tue, 1 Feb 2005 19:34:05 +0100

On Jan 30, 2005, at 1:40 PM, Goix Walter wrote:

> Krisztian,
>
> The examples in the presence data model draft identify <device-id> as 
> an element under <tuple>, but that's probably what you had in mind.
> However, I don't clearly see the rationale for multiple <device-id> 
> within a single <tuple>. Multiple devices for the same presentity may 
> offer exactly the same service, but they probably would need no 
> <contact> element to get the ability to be merged into a single 
> <tuple> at the server. In that case, if one device updates its <tuple> 
> inserting a <contact> element (max 1 in PIDF <tuple>), then both 
> tuples will need to be separated again. Same if another property of a 
> single device <tuple> is updated. I personally see more complications 
> than benefits allowing multiple <device-id> per <tuple>. Is there a 
> real requirement for such an optimization?

Think of it as multiple PUAs publishing tuples about the same service, 
and placing the AoR as the contact. The compositor may decide to merge 
those tuples, it is nice, but maybe not useful, for the watcher to see 
that this service is available on multiple devices.

/Hisham

>
> I agree that no namespace nor schema is defined for this extension. 
> Maybe the following declaration could be used:
>
>        <xs:element name="device-id" type="tns:anyURI" minOccurs="0"/>
>
> Walter
>
> -----Original Message-----
> From: [email-masked] on behalf of [email-masked]
> Sent: Fri 1/28/2005 10:54 AM
> To: [email-masked]
> Subject: [Simple] Presence data model: <device-id> in <tuple>
>
>
> draft-ietf-simple-presence-data-model-01 allows <tuple> to include a 
> <device-id> or a list of <device-id>s serving as correlation 
> identifier(s).
>
> Section 5.1.2 contains schema definition for <device> including 
> <device-id>, i.e.:
>
>       <xs:attribute name="device-id" type="xs:anyURI" use="required"/>
>
> I would assume that if <device-id> appears under <tuple>, another 
> schema definition would be required, something like:
>
>       <xs:attribute name="device-id" type="xs:anyURI"  minOccurs="0" 
> maxOccurs="unbounded"/>
>
> Should this <tuple> extension be added to the draft?
>
> Thanks,
> Krisztian
>
> _______________________________________________
> Simple mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/simple
>
>
>
> Gruppo Telecom Italia - Direzione e coordinamento di Telecom Italia 
> S.p.A.
>
> ====================================================================
> CONFIDENTIALITY NOTICE
> This message and its attachments are addressed solely to the persons
> above and may contain confidential information. If you have received
> the message in error, be informed that any use of the content hereof
> is prohibited. Please return it immediately to the sender and delete
> the message. Should you have any questions, please send an e_mail to
> [email-masked]. Thank you
> ====================================================================
>
> _______________________________________________
> Simple mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/simple
>

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple

---

From: Jonathan Rosenberg <[email-masked]>
Date: Wed, 02 Feb 2005 02:27:20 -0500

inline.

[email-masked] wrote:

> Hi Walter,
> 
> 
>> -----Original Message----- From: ext Goix Walter
>> [mailto:[email-masked]] Sent: Sunday, January 30, 2005 4:41
>> AM To: Kiss Krisztian (Nokia-TP/SanDiego); [email-masked] Subject:
>> RE: [Simple] Presence data model: <device-id> in <tuple>
>> 
>> 
>> Krisztian,
>> 
>> The examples in the presence data model draft identify <device-id>
>> as an element under <tuple>, but that's probably what you had in
>> mind.
> 
> 
> Right.

The intention is that this would be defined in RPID, actually.

>> within a single <tuple>. Multiple devices for the same presentity
>> may offer exactly the same service, but they probably would need no
>> <tuple> at the server. In that case, if one device updates its
>> <tuple> inserting a <contact> element (max 1 in PIDF <tuple>), then
>> both tuples will need to be separated again. Same if another
>> property of a single device <tuple> is updated. I personally see
>> more complications than benefits allowing multiple <device-id> per
>>  <tuple>. Is there a real requirement for such an optimization?
> 
> 
> Actually the intention of my previous e-mail was not to debate
> whether you can have multiple <device-id>s under <tuple> or not, (the
> current draft allows more than one at the moment, I think) but I
> agree with your analysis and would restrict the number of <device-id>
> elements to be one under <tuple>.
> 

I disagree.

It was an explicit design choice to allow this, to support cases where a 
service runs on multiple devices. That is explicitly defined in the data 
model UML diagram.

In such a case, the <contact> for the service would be the AOR. A 
compositor would construct such a document by taking individual <tuple> 
elements from each component UA, throwing away their <contact> elements, 
but combining their <device-id>s.

-Jonathan R.

-- 
Jonathan D. Rosenberg, Ph.D.                   600 Lanidex Plaza
Director, Service Provider VoIP Architecture   Parsippany, NJ 07054-2711
Cisco Systems
[email-masked]                              FAX:   (973) 952-5050
http://www.jdrosen.net                         PHONE: (973) 952-5000
http://www.cisco.com